List Webhook Rules

get https://app.mk.io/api/v1/projects/:project_name/webhook/rules

Authentication

Authorization Bearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_name string Required

Query parameters

$orderby string Optional
Specifies the key by which the result collection should be ordered.
$filter string Optional
Restricts the set of items returned.
$top string Optional
Specifies a non-negative integer n that limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified value n.
$skiptoken string Optional
Specifies a start offset to support paginated results. Use @odata.nextLink in the result object to enumerate the collection - it will be present only if there's more than one page of entities.

Response

200 A list of webhook rules
valuelist of objectsWebhookRuleSchemaRequired
A list of Webhook rules
Show 2 propertiesHide 2 properties
metadataobjectWebhookRuleMetadataSchemaRequired
Webhook rule metadata.
Show 2 propertiesHide 2 properties
idstringRequiredformat: uuid
The ID of the webhook.
namestringRequired
The name of the webhook. Unique within a project.
specobjectWebhookRuleSpecSchemaRequired
Webhook rule spec.
Show 6 propertiesHide 6 properties
authenticationobjectAuthenticationSchemaOptional
Authentication details.
Show 2 propertiesHide 2 properties
headersmap from strings to stringOptional
Authentication headers.
Show value schemaHide value schema
[any key]string
queryParamsmap from strings to stringOptional
Authentication query parameters.
Show value schemaHide value schema
[any key]string
enabledbooleanRequired
Indicates whether the webhook is enabled.
eventslist of enumsRequired
List of events that trigger the webhook.
headersmap from strings to stringOptional
Headers to include in the webhook request.
Show value schemaHide value schema
[any key]string
queryParamsmap from strings to stringOptional
Query parameters to include in the webhook request.
Show value schemaHide value schema
[any key]string
urlstringRequired
The URL the webhook should call.

Errors

400 Bad Request
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
401 Unauthorized
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
403 Forbidden
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
404 Not Found
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
429 Too Many Requests
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
500 Internal Server Error
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code